Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354038 - [RFE] Hardware Assisted Ironic Fibre Channel Boot from SAN support
Summary: [RFE] Hardware Assisted Ironic Fibre Channel Boot from SAN support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: Upstream M2
: 12.0 (Pike)
Assignee: Dmitry Tantsur
QA Contact: mlammon
URL:
Whiteboard:
Depends On: 1510013 1317731 1438238
Blocks: 1442136 1511596 1524224
TreeView+ depends on / blocked
 
Reported: 2016-07-08 19:04 UTC by Keith Basil
Modified: 2018-06-12 05:29 UTC (History)
28 users (show)

Fixed In Version: openstack-ironic-8.0.1-0.20170511110442.623eaa0.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1511596 (view as bug list)
Environment:
Last Closed: 2017-12-13 20:44:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 327807 None None None 2017-05-31 09:06:24 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Comment 3 Paul Christensen 2016-08-05 14:50:01 UTC
Hi Lucas.

Are there links related to any upstream work be added to the BZ?

Thanks

Comment 4 Lucas Alvares Gomes 2016-08-08 10:12:06 UTC
(In reply to Paul Christensen from comment #3)
> Hi Lucas.
> 
> Are there links related to any upstream work be added to the BZ?
> 
> Thanks

Hi Paul,

Yes there are, I will link it in this BZ.

Comment 5 Lucas Alvares Gomes 2016-08-08 10:17:43 UTC
(In reply to Lucas Alvares Gomes from comment #4)
> (In reply to Paul Christensen from comment #3)
> > Hi Lucas.
> > 
> > Are there links related to any upstream work be added to the BZ?
> > 
> > Thanks
> 
> Hi Paul,
> 
> Yes there are, I will link it in this BZ.

I'm sorry I may have confused BZ's here... This work is about the be2iscsi driver? Not boot from volume, right ?

If so, why we need two BZs for it?

Comment 19 Charelle Collett 2017-08-01 04:40:37 UTC
Hi Dmitry,

Could you please add 'Doc Text' describing this change, so that it can be included with the release notes?

Thank you!

Comment 20 Dmitry Tantsur 2017-08-01 16:24:30 UTC
Ramon, could you please do it? I think you have more actual experience with $subj.

Comment 21 Ramon Acedo 2017-08-02 10:52:07 UTC
Hi Charelle, the purpose of this RFE is to support booting a node from a SAN. Currently, we have a note saying it's not supported [1]:

"Booting an overcloud node from the SAN (FC-AL, FCoE, iSCSI) is not yet supported"

We intend to support boot from SAN over FC and over iSCSI, with iSCSI being a lower priority test, i.e. if QA proves there are limitations with iSCSI that require patches in the code then we'll plan it for a later release.

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html-single/director_installation_and_usage/#sect-Overcloud_Requirements

As for the the doc text, it would be something like "Support for booting Overcloud nodes from SAN over Fibre Channel". And if iSCSI passes the QA then we'll add iSCSI.

Comment 23 Ramon Acedo 2017-10-23 10:03:51 UTC
Yolanda worked on the iSCSI part and documented the process here: http://teknoarticles.blogspot.com.es/2017/10/customize-openstack-images-for-booting.html

Comment 25 mlammon 2017-11-06 15:20:30 UTC
This can be marked as verified

Comment 28 errata-xmlrpc 2017-12-13 20:44:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.